/** \file    consensus.h
 *  \brief   Consensus procedure
 *  \author  Takahisa Toda
 */
#ifndef CONSENSUS_H
#define CONSENSUS_H

#include "basic_types.h"

/*---------------------------------------------------------------------------*/
/* Type declarations                                                         */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Function prototypes                                                       */
/*---------------------------------------------------------------------------*/

/** \brief Given a DNF of a Boolean function f, compute the complete DNF of f, that is, the disjunction of all prime implicants of f.
 *  \param f        input dnf
 *  \param g        output dnf 
 */
extern void consensus(dnf_t *f, dnf_t *g);

#endif /*CONSENSUS_H*/
